| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Destination and Route

Destination and Route Definitions and Methods. More...

## Classes
struct | unsp__DestinationListData
| Destination List Data. More...
struct | unsp__GetDestinationListResult
| Get Destination List result. More...
struct | unsp__GetDestinationListRequest
| Get Destination List request. More...
struct | unsp__DestServiceEntry
| Service Destination Entry. More...
struct | unsp__DestServiceListData
| Service Destination List Data. More...
struct | unsp__GetDestServiceListResult
| Get Service Destination List result. More...
struct | unsp__GetDestServiceListRequest
| Get Service Destination List request. More...
class | DestinationCreateObject
| Create Destination data. More...
class | GenericRouteCreateObject
| Create Route data. More...
class | unsp__ArrayOfGenericRouteCreateObject
| Array of Routes. More...
class | unsp__CreateDestinationRequest
| Create Destination request. More...
struct | unsp__CreateDestinationResult
| Create Destination result. More...
class | unsp__ModifyDestinationRequest
| Modify Destination request. More...
struct | unsp__ModifyDestinationResult
| Modify Destination result. More...
class | unsp__RemoveDestinationRequest
| Remove Destination result. More...
struct | unsp__RemoveDestinationResult
| Remove Destination result. More...
class | GenericDestinationQueryObject
| Generic Destination Query object. More...
class | GenericRouteQueryObject
| Generic Route Query object. More...
class | unsp__QueryDestinationRequest
| Query Destination request. More...
class | unsp__GenericDestination
| Generic Destination. More...
class | unsp__ArrayOfGenericDestination
| Array of Generic Destinations. More...
struct | unsp__GenericDestinationResult
| Generic Destination result. More...
class | DestinationQueryObject
| Destination Query object. More...
class | RouteListQueryObject
| Route List Query object. More...
class | unsp__ArrayOfRouteListQueryObject
| Array of Route List Query objects. More...
class | RouteDestQueryObject
| Destination Routes Query object. More...
class | RouteQueryObject
| Route Query object. More...
class | GenericRouteDestUnassignObject
| Generic Destination Route Unassign object. More...
class | GenericRouteListUnassignObject
| Generic Route List Unassign object. More...
class | unsp__ArrayOfGenericRouteListUnassignObject
| Array of Generic Route List Unassign objects. More...
class | GenericDestModifyObject
| Generic Destination Modify object. More...
class | GenericRouteModifyObject
| Generic Route Modify object. More...
class | GenericRouteDestCreateObject
| Generic Destination Route Create object. More...
class | GenericRouteListCreateObject
| Generic Route List Create object. More...
class | unsp__ArrayOfGenericRouteListCreateObject
| Array of Generic Route List Create objects. More...
class | unsp__CreateRouteRequest
| Create Route request. More...
struct | unsp__CreateRouteResult
| Create Route result. More...
class | unsp__ModifyRouteRequest
| Modify Route request. More...
struct | unsp__ModifyRouteResult
| Modify Route result. More...
class | unsp__UnassignRouteRequest
| Unassign Route request. More...
struct | unsp__UnassignRouteResult
| Unassign Route result. More...
class | unsp__PrioritizeRouteRequest
| Prioritize Route request. More...
struct | unsp__PrioritizeRouteResult
| Prioritize Route result. More...
class | unsp__QueryRouteRequest
| Query Route request. More...
class | unsp__QueryRoute
| Query Route. More...
class | unsp__ArrayOfQueryRoute
| Array of query Route. More...
struct | unsp__QueryRouteResult
| Query Route result. More...

## Enumerations
enum | unsp__DestServiceType { DestSvcDn, DestSvcPrefix, DestSvcToneAnnc, DestSvcAll }
| Service Destination Type. More...
enum | unsp__DestinationAttributes { DaUnused = -1, DaNotMSDest, DaDest, DaNotMSDestRerouted, DaMSDestRerouted }
| Destination Attributes. More...
enum | unsp__ReferenceType { RtIgnored = -3, RtUnused = -1, RtUnassigned = 1, RtTrunk, RtGateway, RtGatekeeper, RtPri, RtSipEndpoint, RtMediaGw, RtEnum = 9 }
| Route Reference Type. More...
enum | unsp__CacSignaling { CacIgnored = -3, CacUnused = -2, CacUndefined = 0, CacConcatenatedNoTns, CacTnsOnly }
| CAC Signaling. More...

## Functions
int | unsp__GetDestinationList2 (struct unsp__GetDestinationListRequest GetDestinationListRequest, struct unsp__GetDestinationListResult *GetNPListResult)
| This method retrieves the list of Destinations. More...
int | unsp__GetDestServiceList2 (struct unsp__GetDestServiceListRequest GetDestServiceListRequest, struct unsp__GetDestServiceListResult *GetDestServiceListResult)
| Retrieves the list of service destinations. More...
int | unsp__createDestination (unsp__CreateDestinationRequest CreateDestinationRequest, struct unsp__CreateDestinationResult *CreateDestinationResult)
| Creates a Destination. More...
int | unsp__modifyDestination (unsp__ModifyDestinationRequest ModifyDestinationRequest, struct unsp__ModifyDestinationResult *ModifyDestinationResult)
| Modifies a Destination. More...
int | unsp__removeDestination (unsp__RemoveDestinationRequest RemoveDestinationRequest, struct unsp__RemoveDestinationResult *RemoveDestinationResult)
| Removes a Destination. More...
int | unsp__queryDestination (unsp__QueryDestinationRequest QueryDestinationRequest, struct unsp__GenericDestinationResult *QueryDestinationResult)
| Queries Destinations. More...
int | unsp__createRoute (unsp__CreateRouteRequest CreateRouteRequest, struct unsp__CreateRouteResult *CreateRouteResult)
| Creates a Route. More...
int | unsp__modifyRoute (unsp__ModifyRouteRequest ModifyRouteRequest, struct unsp__ModifyRouteResult *ModifyRouteResult)
| Modifies a Route. More...
int | unsp__unassignRoute (unsp__UnassignRouteRequest UnassignRouteRequest, struct unsp__UnassignRouteResult *UnassignRouteResult)
| Unassigns a Route. More...
int | unsp__prioritizeRoute (unsp__PrioritizeRouteRequest PrioritizeRouteRequest, struct unsp__PrioritizeRouteResult *PrioritizeRouteResult)
| Prioritize a Route. More...
int | unsp__queryRoute (unsp__QueryRouteRequest QueryRouteRequest, struct unsp__QueryRouteResult *QueryRouteResult)
| Queries Routes. More...

## Detailed Description

Destination and Route Definitions and Methods.

## Destination

Destinations are logical targets for off-net or on-net routing. When a destination is created, the name of the destination is bound to the numbering plan where the destination is created. Destinations are used to route a call to an endpoint representing a gateway. The subscriber creates Destinations to define sets of Routes to E.164 Codes. Destinations can also be Media Servers. While creating a Destination the subscriber has to specify whether this Destination is a Media Server or not.

### Non-Media Server Destinations and Routes tables

For Non-Media Server Destinations (destinations not marked as a media server), all endpoints that are found via this destination will be either SIP endpoints or ENUM server routes. Once a destination is created, routes can be added to the destination.

Media Server Destinations and Routes tables When creating a destination it is possible to mark it as pertaining to media servers only, meaning that all endpoints that are found via this destination will be media servers (MGCP endpoints). These Media Server Destinations can then be entered for the treatments of specific announcements. They can also be used when creating origin destinations. Media Server Destinations can be created in the PNP/CNP or GNP. They will be presented when associating them to a treatment or a rate area of an origin destination.

Note
  The media servers must be created before they can be added to a media server destination.

## Route

Routes are ordered by their priorities and arranged in a linked list. A single route can belong to many destinations and priority is unique. Bearer capability-based routing allows routing of calls to different TKGs (Trunk Groups) based on the originator's bearer capability. Routing is also based on incoming signaling type. A-side signaling-based routing allows the use of different protocols for outgoing calls to the same destination code based on the signaling protocol used by the originating side. The SIP signaling protocol is associated with this route. If bearer capability and signaling type are entered, the route list is mandatory. Up to 8 routes can be assigned in a route list and at least one route must exist. More than one route list can be assigned to a destination with each list associated with a different bearer capability an signaling type.

Each route is a collection of groups or addresses that provide a path to a destination.

## Enumeration Type Documentation

## ◆ unsp__CacSignaling

enum unsp__CacSignaling

CAC Signaling.

Enumerator
CacIgnored | Ignored.
CacUnused | Unused.
CacUndefined | Undefined.
CacConcatenatedNoTns | Concatenated No TNS.
CacTnsOnly | TNS Only.

## ◆ unsp__DestinationAttributes

enum unsp__DestinationAttributes

Destination Attributes.

Enumerator
DaUnused | Unused.
DaNotMSDest | Not Media Server Destination.
DaDest | Destination.
DaNotMSDestRerouted | Not Media Server Destination Rerouted.
DaMSDestRerouted | Media Server Destination Rerouted.

## ◆ unsp__DestServiceType

enum unsp__DestServiceType

Service Destination Type.

Enumerator
DestSvcDn | Service DN.
DestSvcPrefix | Service Prefix.
DestSvcToneAnnc | Service Tone Announcement.
DestSvcAll | All.

## ◆ unsp__ReferenceType

enum unsp__ReferenceType

Route Reference Type.

Enumerator
RtIgnored | Ignored.
RtUnused | Unused.
RtUnassigned | Unassigned.
RtTrunk | Trunk.
RtGateway | Gateway.
RtGatekeeper | Gatekeeper.
RtPri | Pri.
RtSipEndpoint | Sip Endpoint.
RtMediaGw | Nedia Gateway.
RtEnum | Enum.

## Function Documentation

## ◆ unsp__createDestination()

unsp__createDestination | ( | unsp__CreateDestinationRequest | CreateDestinationRequest,
|  | struct unsp__CreateDestinationResult * | CreateDestinationResult
| ) |  |

Creates a Destination.

Parameters

  CreateDestinationRequest | API request
  CreateDestinationResult | API result MP2 command: Destination [Attributes]

## ◆ unsp__createRoute()

unsp__createRoute | ( | unsp__CreateRouteRequest | CreateRouteRequest,
|  | struct unsp__CreateRouteResult * | CreateRouteResult
| ) |  |

Creates a Route.

Parameters

  CreateRouteRequest | API request
  CreateRouteResult | API result MP2 command: Route [Attributes]

## ◆ unsp__GetDestinationList2()

unsp__GetDestinationList2 | ( | struct unsp__GetDestinationListRequest | GetDestinationListRequest,
|  | struct unsp__GetDestinationListResult * | GetNPListResult
| ) |  |

This method retrieves the list of Destinations.

Parameters

  GetDestinationListRequest | API request
  GetNPListResult | API result

## ◆ unsp__GetDestServiceList2()

unsp__GetDestServiceList2 | ( | struct unsp__GetDestServiceListRequest | GetDestServiceListRequest,
|  | struct unsp__GetDestServiceListResult * | GetDestServiceListResult
| ) |  |

Retrieves the list of service destinations.

Parameters

  GetDestServiceListRequest | API request
  GetDestServiceListResult | API result

## ◆ unsp__modifyDestination()

unsp__modifyDestination | ( | unsp__ModifyDestinationRequest | ModifyDestinationRequest,
|  | struct unsp__ModifyDestinationResult * | ModifyDestinationResult
| ) |  |

Modifies a Destination.

Parameters

  ModifyDestinationRequest | API request
  ModifyDestinationResult | API result MP2 command: ModifyDestination [Attributes]

## ◆ unsp__modifyRoute()

unsp__modifyRoute | ( | unsp__ModifyRouteRequest | ModifyRouteRequest,
|  | struct unsp__ModifyRouteResult * | ModifyRouteResult
| ) |  |

Modifies a Route.

Parameters

  ModifyRouteRequest | API request
  ModifyRouteResult | API result MP2 command: ModifyRoute [Attributes]

## ◆ unsp__prioritizeRoute()

unsp__prioritizeRoute | ( | unsp__PrioritizeRouteRequest | PrioritizeRouteRequest,
|  | struct unsp__PrioritizeRouteResult * | PrioritizeRouteResult
| ) |  |

Prioritize a Route.

Parameters

  PrioritizeRouteRequest | API request
  PrioritizeRouteResult | API result MP2 command: PrioritizeRoute [Attributes]

## ◆ unsp__queryDestination()

unsp__queryDestination | ( | unsp__QueryDestinationRequest | QueryDestinationRequest,
|  | struct unsp__GenericDestinationResult * | QueryDestinationResult
| ) |  |

Queries Destinations.

Parameters

  QueryDestinationRequest | API request
  QueryDestinationResult | API result

## ◆ unsp__queryRoute()

unsp__queryRoute | ( | unsp__QueryRouteRequest | QueryRouteRequest,
|  | struct unsp__QueryRouteResult * | QueryRouteResult
| ) |  |

Queries Routes.

Parameters

  QueryRouteRequest | API request
  QueryRouteResult | API result

## ◆ unsp__removeDestination()

unsp__removeDestination | ( | unsp__RemoveDestinationRequest | RemoveDestinationRequest,
|  | struct unsp__RemoveDestinationResult * | RemoveDestinationResult
| ) |  |

Removes a Destination.

Parameters

  RemoveDestinationRequest | API request
  RemoveDestinationResult | API result MP2 command: RemoveDestination [Attributes]

## ◆ unsp__unassignRoute()

unsp__unassignRoute | ( | unsp__UnassignRouteRequest | UnassignRouteRequest,
|  | struct unsp__UnassignRouteResult * | UnassignRouteResult
| ) |  |

Unassigns a Route.

Parameters

  UnassignRouteRequest | API request
  UnassignRouteResult | API result MP2 command: UnassignRoute [Attributes]